Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.legacy
Class LegacyInitialBootstapBuildStrategy

    java.lang.Object
      com.atlassian.bamboo.legacy.LegacyAbstractBuildStrategy
          com.atlassian.bamboo.legacy.LegacyInitialBootstapBuildStrategy

All Implemented Interfaces:
  BuildStrategy, ConvertibleFromConfig

    public class LegacyInitialBootstapBuildStrategy

extends LegacyAbstractBuildStrategy

This class instructs the system to start a clean bootstrap build of bamboo.

Constructor Summary
`LegacyInitialBootstapBuildStrategy()`

Method Summary
`Collection` | `getChangeList()` There are no changes in an bootstrap build.
`String` | `getKey()` A lowercase string key to identify the build strategy
`String` | `getName()` Returns the display name of the strategy
`boolean` | `requiresBuild(Build build)` Always build a new build
`boolean` | `requiresPreBuildClean()` Does not make much difference, but we decided to force a clean build just in case there are some files kicking around

Methods inherited from class com.atlassian.bamboo.legacy.LegacyAbstractBuildStrategy
`addDefaultValues, getBuildMessage, getDescription, init, log, populateFromConfig, setBuildMessage, toConfiguration, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyInitialBootstapBuildStrategy

    public LegacyInitialBootstapBuildStrategy()

Method Detail

### getKey

    public String getKey()

  Description copied from interface: `BuildStrategy`
  A lowercase string key to identify the build strategy

  Returns:
    String must not be null

### getName

    public String getName()

  Description copied from interface: `BuildStrategy`
  Returns the display name of the strategy

  Returns:
    String must not be null

### requiresBuild

    public boolean requiresBuild(Build build)

  Always build a new build

  Parameters:
    `build` - The build to build
  Returns:
    true

### requiresPreBuildClean

    public boolean requiresPreBuildClean()

  Does not make much difference, but we decided to force a clean build just in case there are some files kicking around

  Returns:
    true

### getChangeList

    public Collection getChangeList()

  There are no changes in an bootstrap build.

  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.